public/index.html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Kilala Frontend Template</title>
    <link rel="stylesheet" media="screen" href="/assets/css/app.css">
    <style>body {
    background: url("assets/images/bg-body.png");
}
    </style>
  </head>
  <body>
    <header class="py-3 bg-light mb-5" id="k-header">
      <div class="container">
        <div class="row flex-nowrap justify-content-between align-items-center">
          <div class="col-12 text-center"><a class="header-logo" href="/"><img class="img-fluid mx-auto" src="assets/images/logo.png"></a></div>
        </div>
      </div>
    </header>
    <main class="k-main-content">
      <section class="container">
        <h1>Pages</h1>
        <ul class="list-group">
          <li class="list-group-item"><a class="d-block text-capitalize" href="home.html">home</a></li>
          <li class="list-group-item"><a class="d-block text-capitalize" href="contact.html">contact</a></li>
          <li class="list-group-item"><a class="d-block text-capitalize" href="landing.html">landing</a></li>
        </ul>
      </section>
    </main>
    <footer class="py-5 bg-light text-center mt-5" id="k-footer">
      <div class="container">
        <h3>KILALA COMMUNICATION</h3>
        <p>9th Floor, Capital Place Bldg., No.6, Thai Van Lung St., Dist 1, HCMC, VietNam</p>
        <p>(+84) 28 3827 7722</p>
      </div>
    </footer>
    <script type="text/javascript" src="/assets/js/app.js"></script>
    <script type="text/javascript">appFunctions.exportFunction()</script>
  </body>
</html>

src/pug/index.pug
//- index.pug
extends layout/_layout.pug

block header
    header#k-header.py-3.bg-light.mb-5
        .container
            .row.flex-nowrap.justify-content-between.align-items-center
                .col-12.text-center
                    a(class='header-logo' href='/')
                        img(src="assets/images/logo.png" class='img-fluid mx-auto')

block append styles
    style
        include index.css

block content
    section.container
        h1 Pages
        ul.list-group
            - let pages = ['home', 'contact', 'landing']
            each page in pages
                include components/_page.pug

block footer
    footer#k-footer.py-5.bg-light.text-center.mt-5
        .container
            h3 KILALA COMMUNICATION
            p 9th Floor, Capital Place Bldg., No.6, Thai Van Lung St., Dist 1, HCMC, VietNam
            p (+84) 28 3827 7722
